//import 'package:firebase_core/firebase_core.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:get/get_navigation/src/root/get_material_app.dart';
import 'package:qyuota/view/splash/splash_screen.dart';
import 'package:qyuota/view/tab_screen.dart';
import 'package:get/get.dart';
import 'package:qyuota/view/home/home_view.dart';

void main() async {
  // WidgetsFlutterBinding.ensureInitialized();
  // await Firebase.initializeApp();
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return GetMaterialApp(
      title: 'Qyuota',
      debugShowCheckedModeBanner: false,
      theme: ThemeData(
        primarySwatch: const MaterialColor(
          0xff3D4FF4,
          <int, Color>{
            50: Color(0xff3D4FF4),
            100: Color(0xff3D4FF4),
            200: Color(0xff3D4FF4),
            300: Color(0xff3D4FF4),
            400: Color(0xff3D4FF4),
            500: Color(0xff3D4FF4),
            600: Color(0xff3D4FF4),
            700: Color(0xff3D4FF4),
            800: Color(0xff3D4FF4),
            900: Color(0xff3D4FF4),
          },
        ),
      ),
      home: const SplashScreen(),
    );
  }
}
